
package Rounding is

  type Rounding_Direction is (Up, Down, Nearest, Truncate);
  type Rounding_Mask is (Strict, Relaxed);

  type Rounding_Mode is
    record
      Direction: Rounding_Direction := Nearest;
      Mask: Rounding_Mask := Relaxed;
    end record;

end Rounding;
